package ei.game;

import ei.engine.LWJGLGameWindow;
import ei.engine.LWJGLPropertiesDialog;
import ei.engine.state.GameStateManager;
import ei.game.gamestate.InGameState;
import ei.game.gamestate.LoadingState;
import ei.game.gamestate.MenuState;
import ei.game.gamestate.SplashState;

public class EI extends LWJGLGameWindow{
	public static final boolean debug = false;
	
	public static void main(String[] args){
		new EI();
	}

	public EI() {
		super("EI",60,LWJGLPropertiesDialog.SOW_ALWAYS);
	}
	
	protected void init(){
		if(debug){
			GameStateManager.getInstance().addState(new InGameState("InGameState"));
			GameStateManager.getInstance().addState(new LoadingState("LoadingState","InGameState"));
			GameStateManager.getInstance().setActive("LoadingState");
		}
		else{
			GameStateManager.getInstance().addState(new SplashState("SplashState","MenuState"));
			GameStateManager.getInstance().addState(new MenuState("MenuState"));
			GameStateManager.getInstance().setActive("SplashState");
		}
	}
	
	protected void update() {}
}
